Page MenuHomePhabricator

"Copyvio" link to CopyPatrol doesn't work for drafts, should drop Draft: namespace prefix
Closed, ResolvedPublic

Description

  1. Go to Special:NewPagesFeed on testwiki
  2. Switch to AFC mode and filter for copyvio articles only
  3. Click the "copyvio" link for an article (e.g. Draft:Australian Open 2019)
  4. Note that the CopyPatrol results page doesn't show any results

This is because the link goes to https://tools.wmflabs.org/copypatrol/en?filter=all&searchCriteria=page_exact&searchText=Draft%3AAustralian%20Open%202019&drafts=1 , but the correct link would be https://tools.wmflabs.org/copypatrol/en?filter=all&searchCriteria=page_exact&searchText=Australian%20Open%202019&drafts=1 . Apparently the searchText parameter expects a page title without a namespace prefix.

Event Timeline

Catrope created this task.Aug 31 2018, 9:42 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 31 2018, 9:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 457679 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/PageTriage@master] Fix CopyPatrol links for drafts

https://gerrit.wikimedia.org/r/457679

Catrope claimed this task.Sep 3 2018, 8:30 PM
Catrope edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
Catrope moved this task from Incoming to Code Review on the Growth-Team (Current Sprint) board.

Change 457679 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Fix CopyPatrol links for drafts

https://gerrit.wikimedia.org/r/457679

Change 458085 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.20] Fix CopyPatrol links for drafts

https://gerrit.wikimedia.org/r/458085

Change 458085 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.20] Fix CopyPatrol links for drafts

https://gerrit.wikimedia.org/r/458085

Mentioned in SAL (#wikimedia-operations) [2018-09-05T16:35:39Z] <thcipriani@deploy1001> Synchronized php-1.32.0-wmf.20/extensions/PageTriage/modules/ext.pageTriage.models/ext.pageTriage.article.js: SWAT: [[gerrit:458085|Fix CopyPatrol links for drafts]] T203284 (duration: 00m 57s)

Checked in testwiki (wmf.20) - the link is fixed, e.g. https://tools.wmflabs.org/copypatrol/en?filter=all&searchCriteria=page_exact&searchText=Australian%20Open%202019&drafts=1

@MMiller_WMF - is it ok to have in Search box the article name without 'Draft' but to list the full page title with 'Draft' namespace?

@Etonkovidova -- that is okay; it is a existing characteristic of CopyPatrol, and we're not planning on changing CopyPatrol. Did you find any other issues?

Etonkovidova closed this task as Resolved.Sep 6 2018, 5:09 PM

@MMiller_WMF - everything else seems to be fine - closing the ticket as Resolved.